/[slime]/slime/test.sh
ViewVC logotype

Diff of /slime/test.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.20 by heller, Sat Sep 20 21:46:23 2008 UTC revision 1.21 by heller, Sun Oct 26 21:17:58 2008 UTC
# Line 87  else Line 87  else
87      screen -S $session -m -D \      screen -S $session -m -D \
88          bash -c "\"\$@\"; echo \$? > $statusfile" "" "${cmd[@]}" &          bash -c "\"\$@\"; echo \$? > $statusfile" "" "${cmd[@]}" &
89      screenpid=$!      screenpid=$!
90      trap "screen -S $session -X quit" SIGINT      trap "screen -S $session -X quit" SIGINT SIGQUIT
91      wait $screenpid      wait $screenpid
92  fi  fi
93    
94  if [ -f "$statusfile" ]; then  if [ -f "$statusfile" ]; then
95      [ "$dump_results" = true ] && cat $results;      [ "$dump_results" = true ] && cat $results
96      echo $(cat $statusfile) "test(s) failed."      status=$(cat $statusfile)
97        echo $status "test(s) failed."
98  else  else
99      # Tests crashed      # Tests crashed
100      echo crashed      echo crashed
101        status=255
102  fi  fi
103    
104  exit $status  exit $status

Legend:
Removed from v.1.20  
changed lines
  Added in v.1.21

  ViewVC Help
Powered by ViewVC 1.1.5